16.04 Bad Kernel for VBox


#1

Just a heads up. One of the last gasps of 16.04 which is just a month short of 3 years and Ubuntu-MATE loosing official support. Ubuntu will be supporting the system for another 2 years (extended 7 years?).

Anyway, Oracle VirtualBox users on 16.04 LTS are in for an issue if on the original 4.4.0 kernel version which recently updated to 4.4.0-143.

Running VBox as a host results in this error:

image

Doing as it says gets you to /var/log/vbox-setup.log which reports it fails to compile. It didn't take much unhelpful details in this file before I just installed the later "hwe" kernel used by later ISOs by installing the package: linux-generic-hwe-16.04 This meta package will add kernel 4.15.0-46 which doesn't have the same issue.

There's many ways to work around this bad 4.4.0 kernel, I just used one I am aware of since I played with this kernel before. HWE is Hardware Enablement so later ISOs of 16.04 installs later kernels in an attempt to keep up with newer hardware during an LTS.

Anyone up on this bad kernel, please jump in with better data than I have. And, perhaps, other issues it may have.


#2

3 years is maintained with updates from Ubuntu Mate then you will get only kernel and security patches. About the 7 years thing is only if you pay Canonical via a program for businesses.